   var examples = [

       {
            "jsonrpc": "2.0",
            "method": "query",
            "params": {
                    "request": {
                       "method": "GET",
                       "url": "/",
                       "httpVersion": "1.1",
                       "headers": {
                          "Host"            : "example.onet.pl",
                          "User-Agent"      : "Mozilla/5.0",
                          "Accept"          : "text/html",
                          "Accept-Language" : "pl,en-us",
                          "Accept-Encoding" : "deflate",
                          "Accept-Charset"  : "ISO-8859-2,utf-8",
                          "Connection"      : "keep-alive",
                          "X-ONET-APP"      : ["value1", "value2"]
                       },
                       "body": ""
                     },
                    "configuration": {
                        "host": "www.onet.pl",
                        "port": "80",
                        "timeout": 30000
                    }
            },
            "id": "example"
        },

    // ************************************************************************        
        
        {
            "jsonrpc": "2.0",
            "method": "query",
            "params": {
                    "request": {
                       "method": "GET",
                       "url": "/wideo/",
                       "httpVersion": "1.1",
                       "headers": {
                          "Host"            : "sport.onet.pl",
                          "User-Agent"      : "Mozilla/5.0",
                          "Accept"          : "text/html",
                          "Accept-Language" : "pl,en-us",
                          "Accept-Encoding" : "deflate",
                          "Accept-Charset"  : "ISO-8859-2,utf-8",
                          "Connection"      : "keep-alive",
                          "X-ONET-APP"      : ["value1", "value2"]
                       },
                       "body": ""
                     },
                    "configuration": {
                        "host": "wideo.platforma.onet",
                        "port": "80",
                        "timeout": 30000,

                        "decorators" : [
                            {
                                "class" : "CacheControlDecorator"
                            },
                            {
                                "class" : "CookieDecorator",
                                "configuration" : {
                                    "disallowSet" : true,
                                    "forwardOnetCookie" : false   
                                }
                            },
                            {
                                "class" : "PathDecorator",
                                "configuration" : {
                                    "source" : "/wideo/",
                                    "destination" : "/1_0/"
                                }
                            },
                            {
                                "class" : "RevProxyDecorator",
                                "configuration" : {
                                    "layout" : "http://sport.onet.pl/szieletproxy.html",
                                    "section" : [
                                        {
                                            "name"    : "title",
                                            "source"  : "document:title"
                                        },
                                        {
                                            "name"    : "description",
                                            "begin"   : "onet_description_begin",
                                            "end"     : "onet_description_end",
                                            "check"   : "",
                                            "prepend" : "",
                                            "append"  : "",
                                            "subst"   : ""
                                        }
                                    ]
                                }
                            }
                        ]
                    }
            },
            "id": "example"
        },

    // ************************************************************************
        
        {
            "jsonrpc": "2.0",
            "method": "query",
            "params": {
                    "request": {
                       "method": "GET",
                       "url": "/wideo/",
                       "httpVersion": "1.1",
                       "headers": {
                          "Host"            : "sport.onet.pl",
                          "User-Agent"      : "Mozilla/5.0",
                          "Accept"          : "text/html",
                          "Accept-Language" : "pl,en-us",
                          "Accept-Encoding" : "deflate",
                          "Accept-Charset"  : "ISO-8859-2,utf-8",
                          "Connection"      : "keep-alive",
                          "X-ONET-APP"      : ["value1", "value2"]
                       },
                       "body": ""
                     },
                    "configuration": {
                        "host": "wideo.platforma.onet",
                        "port": "80",
                        "timeout": 30000,

                        "decorators" : [
                            {
                                "class" : "CacheControlDecorator",
                                "contentType" : ["*/*"]
                            },
                            {
                                "class" : "CookieDecorator",
                                "contentType" : ["*/*"],
                                "configuration" : {
                                    "disallowSet" : true,
                                    "forwardOnetCookie" : false   
                                }
                            },
                            {
                                "class" : "PathDecorator",
                                "contentType" : ["*/*"],
                                "configuration" : {
                                    "source" : "/wideo/",
                                    "destination" : "/1_0/"
                                }
                            },
                            {
                                "class" : "CdfLayoutDecorator",
                                "contentType" : ["text/htm"],
                                "configuration" : {
                                    "opalLocation" : {
                                        "url" : "zs.sjanecki_cmszs.test.onetapi.pl",
                                        "method" : "getConfig",
                                        "params" : {
                                            "url" : "/",
                                            "agent" : "blabla"
                                        }
                                    } 
                                }
                            }
                        ]
                    }
            },
            "id": "example"
        },

    // ************************************************************************
        
        {
            "jsonrpc": "2.0",
            "method": "query",
            "params": {
                "request": {
                    "method": "GET",
                    "url": "/wideo/",
                    "httpVersion": "1.1",
                    "headers": {
                        "Host": "sport.onet.pl",
                        "User-Agent": "Mozilla/5.0",
                        "Accept": "text/html",
                        "Accept-Language": "pl,en-us",
                        "Accept-Encoding": "deflate",
                        "Accept-Charset": "ISO-8859-2,utf-8",
                        "Connection": "keep-alive",
                        "X-ONET-APP": [
                            "value1",
                            "value2"
                        ]
                    },
                    "body": ""
                },
                "configuration": {
                    "host": "wideo.platforma.onet",
                    "port": "80",
                    "timeout": 30000,
                    "decorators": [
                        {
                            "class": "PathDecorator",
                            "configuration": {
                                "source": "/wideo/",
                                "destination": "/1_0/"
                            }
                        },
                        {
                            "class": "RevProxyDecorator",
                            "configuration": {
                                "layout": "http://sport.onet.pl/szieletproxy.html",
                                "section": [
                                    {
                                        "name": "title",
                                        "source": "document:title"
                                    },
                                    {
                                        "name": "description",
                                        "begin": "onet_description_begin",
                                        "end": "onet_description_end",
                                        "prepend": "",
                                        "append": "",
                                        "subst": ""
                                    }
                                ]
                            }
                        },
                        {
                            "class": "RevProxyLayoutDecorator",
                            "configuration": {
                                "url": "http://f0.kopyto.dev.onet/sjanecki/index.html"
                            }
                        },
                        {
                            "class": "AbsoluteLinkDecorator"
                        }
                    ]
                }
            },
            "id": "example"
        }

    // ************************************************************************        
        
   ];