describe('Tests', function(){


    var _cacheRecursive = function(path){
        var matches = null;
        var fs = require('fs');
        var fileContents = '';
        var statInfo = null;
        var testFilePath = null;
        var excludePattern = {'.svn':'exclude', 'mootools-node.js':'exclude'};
        var files = fs.readdirSync(path);

        for(var i = 0, l = files.length; i < l; i++){
            if(!excludePattern.hasOwnProperty(files[i])){
               var newpath = path + files[i];
               statInfo = fs.statSync(newpath);
               if(statInfo.isDirectory()){
                   _cacheRecursive(newpath+'/');
               } else {
                   
                   testFilePath = ('./tests/'+newpath.replace('.js', 'Spec.js')).replace('./tests/lib/', './tests/');
                   expect(function(){fs.statSync(testFilePath)}).not.toThrow();

                   try{
                       fileContents = fs.readFileSync(testFilePath, 'utf8');
                       //matches = fileContents.match(/it(\s)*\(/ig);
                       matches = fileContents.match(/\sexpect(\s)*\(/ig);
                       //console.log(matches.length, testFilePath);
                       expect(matches.length).toBeGreaterThan(0);
                   } catch(e){
                       //console.log(e);
                   }
               }
           }
        }
    };

    it('checking is there Test file for every Class file', function(){
       _cacheRecursive('lib/');
    });
    
});