describe('JsonRpcAbstract', function(){


    var JsonRpcAbstract = null;
    var jsonRpcAbs = null;

    it('can load needed classes', function(){
        expect(function(){
            JsonRpcAbstract = require('../../../lib/core/jsonrpc/JsonRpcAbstract.js').JsonRpcAbstract;
        }).not.toThrow();

    });

    it('proper init/construct', function(){
        expect(function(){
            jsonRpcErr = new JsonRpcAbstract();
        }).not.toThrow();

        expect(function(){
            jsonRpcErr = new JsonRpcAbstract(-3200, 'message');
        }).not.toThrow();

        expect(function(){
            jsonRpcErr = new JsonRpcAbstract(-3201, 'message', {data:'data'});
        }).not.toThrow();

        expect(function(){
            jsonRpcErr = new JsonRpcAbstract('{"json":"good"}');
        }).not.toThrow();


    });

    it('not proper init/construct', function(){
        expect(function(){
            jsonRpcErr = new JsonRpcAbstract({});
        }).not.toThrow();

    });

    it('checking abstract methods', function(){
        jsonRpcErr = new JsonRpcAbstract();
        expect(jsonRpcErr.toJson()).toEqual({});
        expect(jsonRpcErr.toString()).toEqual('{}');
    });



});