var http = require('http');
http.useChunkedEncodingByDefault = false;

var method = "hello";
method = "goodbye";

var data = [
    {
        "params": {
            "ip": "*",
            "interfaces": {
                "proxy.onetapi.pl": {
                    "SSL": "0",
                    "Authentication": "0",
                    "TestScript": "",
                    "Authorisation": "0"
                }
            },
            "host": "dl-sjanecki.grupa.onet",
            "service-name": "test",
            "svn-tag": "http://svn.grupa.onet/svn/front/core/ProxyEngine",
            "port": "8080"
        },
        "jsonrpc": "2.0",
        "method": method,
        "id": method
    }
];

var stringData = JSON.stringify(data);

var options = {
  host: 'rt0.int.dev.onet',
  port: 80,
  path: '/',
  method: 'POST',
  headers: {
    'Host': 'register.opaladmin.onetapi.pl',
    'Accept-Encoding': 'identity',
    'Connection': 'close',
    'Content-Type': 'application/json-rpc',
    'Content-Length': stringData.length,
    'X-Onet-App': 'hello.proxy.front.onetapi.pl'
  }
};


var req = http.request(options, function(res) {
  console.log('STATUS: ' + res.statusCode);
  //console.log('HEADERS: ' + JSON.stringify(res.headers));
  res.setEncoding('utf8');
  //console.log(res);
  res.on('data', function (chunk) {
    console.log('BODY: ' + chunk);
  });

});

req.on('error', function(e) {
   console.log('ERROR');
   console.log(e);
});

req.write(stringData);
req.end();

setTimeout(function(){}, 2000);