describe('AbstractDecorator', function(){
    
    var AbstractDecorator = null;
    var Class = null;
    
    it("require", function(){
        AbstractDecorator = require('../../../lib/core/decorator/AbstractDecorator.js').AbstractDecorator;
        Class = require('../../../lib/mootools/mootools-node.js').Class;
    });
    
    it("creation", function(){
        expect(function(){
            var decorator = new AbstractDecorator();
        }).toThrow();
    });
    it("subclass", function(){
        var ExampleDecoratorClass = function(){
            this.Extends = AbstractDecorator;
            this.initialize = function(){    
            };
            this.decorate = function(object){
                object.example = "test";
            };
        };
        ExampleDecoratorClass = new Class( new ExampleDecoratorClass() ); 
    });
});